Subject: Re: [PATCH 4/5] PowerPC 74xx: Katana Qp base support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 25 Nov 2007 09:28:04 +1100

On Sat, 2007-11-24 at 19:51 +0100, Arnd Bergmann wrote:
> 
> This should be done automatically using of_platform_bus_probe().

Not necessarily. of_platform_bus_probe() is an optional facility that is
common used by SoCs that have lots of otherwise non-probable on chip
devices, but for platforms with more classic setups, it's totally
acceptable to have the platform code explicitely register only those
devices it wants exposed.

Ben.